<!DOCTYPE html>
<html lang="{{ site.document_language }}" dir="auto" prefix="og: https://ogp.me/ns#">
<head>
    <link rel="preload" href="{{ site.assets_url }}/fonts/Cantarell-ExtraBold.woff2" as="font" crossorigin="anonymous" />
    <link rel="preload" href="{{ site.assets_url }}/fonts/Cantarell-Regular.woff2" as="font" crossorigin="anonymous" />
    <link rel="preload" href="{{ site.assets_url }}/fonts/Cantarell-Bold.woff2" as="font" crossorigin="anonymous" />

    <link rel="stylesheet" href="{{ site.assets_url }}/style.css" />
    <title>{% block title %}{% endblock title %}</title>

    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    {% block head %}
    <link rel="icon" href="{{ site.assets_url }}/favicon.svg" sizes="any" type="image/svg+xml">
    <link rel="apple-touch-icon" sizes="256x256" href="{{ site.assets_url }}/favicon.svg">
    {% endblock head %}
    <script src="{{ site.assets_url }}/js/darkmode-icons.js"></script>
    <script src="{{ site.assets_url }}/js/languages.js"></script>
</head>
<body class="{% block class %}{% endblock class %}">

{% block header %}
    <header class="top">
        <div>
            <div><a href="{{ site.lang_base_url }}/" class="logo" title="{{ "Overview"|t }}">{% include "svg/gnome.svg" %}</a></div>

            <nav><ul><li><a href="{{ site.lang_base_url }}/">Apps for GNOME</a></li></ul></nav>
        </div>
    </header>
{% endblock header %}

{% block lang_redirect %}
    <script>
      redirectToUserLang("{{ site.base_url }}", "{{ site.lang_base_url }}");

      function selectLanguage() {
        fillLanguageList(document.getElementById('language-list'), '{{ site.base_url }}', '{{ site.lang_base_url }}');
        document.getElementById('language-selector').showModal();
      }
    </script>
{% endblock lang_redirect %}

    <div class="content" id="content">
        {% block content %}{% endblock content %}
    </div>

    <footer>
        <section class="flex">
            <div>
                <h3>{{ "The GNOME Project"|t }}</h3>
                <ul>
                    <li><a href="https://foundation.gnome.org/contact-us/">{{ "Contact Us"|t }}</a></li>
                    <li><a href="https://www.gnome.org/about-us/">{{ "About Us"|t }}</a></li>
                    <li><a href="https://www.gnome.org/privacy-policy/">{{ "Privacy"|t }}</a></li>
                </ul>
            </div>

            <div>
                <h3>{{ "This website is available in many languages"|t }}</h3>
                <ul>
                    <li><a onclick="selectLanguage(); return false" href="#">{{ "Switch Language"|t }}</a></li>
                </ul>
            </div>

        </section>

        <section>
            <div>
                <a href="https://gitlab.gnome.org/Teams/Websites/apps.gnome.org">
                    {{ "Page Software"|t }}
                </a>
                {{ "© The “Apps for GNOME” contributors"|t }}
                (AGPL v3)
            </div>

            {% block copyright %}{% endblock copyright %}

            <div>{{ "Page generated"|t }} {{ site.now_localized }}</div>
        </section>
    </footer>
    <dialog id="language-selector" class="content">
      <header>
        <h3>{{ "Select Language"|t }}</h3>
        <form method="dialog">
          <button class="close" title="{{ "Close Language Selection"|t }}"></button>
        </form>
      </header>
      <ul id="language-list"></ul>
    </dialog>
</body>
</html>
